Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.validator
Class ValidatorResults

    java.lang.Object
      |
      +--org.apache.commons.validator.ValidatorResults

All Implemented Interfaces:
  java.io.Serializable

public class ValidatorResults
extends java.lang.Object
implements java.io.Serializable

This contains the results of a set of validation rules processed on a JavaBean.

Version:
  $Revision: 478334 $ $Date: 2006-11-22 21:31:54 +0000 (Wed, 22 Nov 2006) $
See Also:
  Serialized Form

Field Summary
`protected java.util.Map` | `hResults` Map of validation results.

Constructor Summary
`ValidatorResults()`

Method Summary
`void` | `add(Field field, java.lang.String validatorName, boolean result)` Add a the result of a validator action.
`void` | `add(Field field, java.lang.String validatorName, boolean result, java.lang.Object value)` Add a the result of a validator action.
`void` | `clear()` Clear all results recorded by this object.
`java.util.Set` | `getPropertyNames()` Return the set of property names for which at least one message has been recorded.
`java.util.Map` | `getResultValueMap()` Get a `Map` of any `Object`s returned from validation routines.
`ValidatorResult` | `getValidatorResult(java.lang.String key)` Gets the `ValidatorResult` associated with the key passed in.
`boolean` | `isEmpty()` Return `true` if there are no messages recorded in this collection, or `false` otherwise.
`void` | `merge(ValidatorResults results)` Merge another ValidatorResults into mine.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hResults

    protected java.util.Map hResults

  Map of validation results.

Constructor Detail

### ValidatorResults

    public ValidatorResults()

Method Detail

### merge

    public void merge(ValidatorResults results)

  Merge another ValidatorResults into mine.
  Parameters:
    `results` - ValidatorResults to merge.

### add

    public void add(Field field,
                    java.lang.String validatorName,
                    boolean result)

  Add a the result of a validator action.
  Parameters:
    `field` - The field validated.
    `validatorName` - The name of the validator.
    `result` - The result of the validation.

### add

    public void add(Field field,
                    java.lang.String validatorName,
                    boolean result,
                    java.lang.Object value)

  Add a the result of a validator action.
  Parameters:
    `field` - The field validated.
    `validatorName` - The name of the validator.
    `result` - The result of the validation.
    `value` - The value returned by the validator.

### clear

    public void clear()

  Clear all results recorded by this object.

### isEmpty

    public boolean isEmpty()

  Return `true` if there are no messages recorded in this collection, or `false` otherwise.
  Returns:
    Whether these results are empty.

### getValidatorResult

    public ValidatorResult getValidatorResult(java.lang.String key)

  Gets the `ValidatorResult` associated with the key passed in. The key the `ValidatorResult` is stored under is the `Field`'s getKey method.
  Parameters:
    `key` - The key generated from `Field` (this is often just the field name).
  Returns:
    The result of a specified key.

### getPropertyNames

    public java.util.Set getPropertyNames()

  Return the set of property names for which at least one message has been recorded.
  Returns:
    An unmodifiable Set of the property names.

### getResultValueMap

    public java.util.Map getResultValueMap()

  Get a `Map` of any `Object`s returned from validation routines.
  Returns:
    Map of objections returned by validators.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.